Bug 19585 - Inventory: Allow additional separators in a barcode file
Summary: Inventory: Allow additional separators in a barcode file
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-11-07 15:02 UTC by Marcel de Rooy
Modified: 2018-01-23 04:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19585: Inventory: Allow additional separators in a barcode file (1.27 KB, patch)
2017-11-13 11:03 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19585: Inventory: Allow additional separators in a barcode file (1.44 KB, patch)
2017-11-13 11:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19585: Inventory: Allow additional separators in a barcode file (1.44 KB, patch)
2017-11-13 11:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19585: Inventory: Allow additional separators in a barcode file (1.45 KB, patch)
2017-11-15 13:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19585: Inventory: Allow additional separators in a barcode file (1.46 KB, patch)
2018-01-16 02:11 UTC, jwayway
Details | Diff | Splinter Review
Bug 19585: Inventory: Allow additional separators in a barcode file (1.51 KB, patch)
2018-01-17 16:04 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-11-07 15:02:02 UTC

    
Comment 1 Marcel de Rooy 2017-11-13 11:03:43 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2017-11-13 11:11:04 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2017-11-13 11:13:27 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2017-11-15 13:47:05 UTC
Created attachment 69154 [details] [review]
Bug 19585: Inventory: Allow additional separators in a barcode file

This patch makes \n, \r, |, comma, semicolon and hyphen ('-') all valid
separators between barcodes passed to inventory.
An additional grep removes empty barcodes. (Note: The grep looks for at
least one non-whitespace character. We could be more specific, but this
allows for more flexibility like testing with alphanumeric barcodes etc.)

Test plan:
Upload a barcode file that contains various allowed separators.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2017-11-15 13:49:21 UTC
Decided to add the hyphen ('-') too as a separator. We need him also.
Comment 6 jwayway 2018-01-16 02:11:35 UTC
Created attachment 70535 [details] [review]
Bug 19585: Inventory: Allow additional separators in a barcode file

This patch makes \n, \r, |, comma, semicolon and hyphen ('-') all valid
separators between barcodes passed to inventory.
An additional grep removes empty barcodes. (Note: The grep looks for at
least one non-whitespace character. We could be more specific, but this
allows for more flexibility like testing with alphanumeric barcodes etc.)

Test plan:
Upload a barcode file that contains various allowed separators.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Jenny Way <jwayway@hotmail.com>
Comment 7 Josef Moravec 2018-01-17 16:04:34 UTC
Created attachment 70625 [details] [review]
Bug 19585: Inventory: Allow additional separators in a barcode file

This patch makes \n, \r, |, comma, semicolon and hyphen ('-') all valid
separators between barcodes passed to inventory.
An additional grep removes empty barcodes. (Note: The grep looks for at
least one non-whitespace character. We could be more specific, but this
allows for more flexibility like testing with alphanumeric barcodes etc.)

Test plan:
Upload a barcode file that contains various allowed separators.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Jenny Way <jwayway@hotmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Jonathan Druart 2018-01-19 18:56:01 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 9 Nick Clemens 2018-01-23 04:17:27 UTC
Awesome work all!

Enhancement, not backported for 17.11.